//
//  DC6Palette.h
//  MacDC6
//
//  Created by Carolyn Vaughan on 9/11/07.
//  Copyright 2007 Carolyn Vaughan. All rights reserved.
//

#import <Cocoa/Cocoa.h>

enum paletteColors { PALETTE_BLUE, PALETTE_GREEN, PALETTE_RED };

@interface DC6Palette : NSObject
{
	unsigned char	palette[256][3];
}

- (void)setPaletteData:(NSData*)data;
- (NSData*)getRGBPaletteData;
- (void)resetPaletteData;

- (unsigned char)redComponentAtIndex:(int)index;
- (unsigned char)greenComponentAtIndex:(int)index;
- (unsigned char)blueComponentAtIndex:(int)index;

- (unsigned char)getIndexForRed:(unsigned char)red green:(unsigned char)green blue:(unsigned char)blue;

@end
